
-- DROP TABLE tl_culture_narrative;




CREATE TABLE tl_culture_narrative (
    object_id number(12) NOT NULL ,
    object_last_updated_date date DEFAULT SYSDATE NOT NULL ,
    object_created_date date DEFAULT SYSDATE NOT NULL
    ,
    narrative_notes clob NULL,
    color_code varchar2(200) NULL,
    culture_element_number number(12)  NULL,
    culture_element_quest_id number(12)  NULL,
    culture_element_rating_id number(12)  NULL
    );



ALTER TABLE tl_culture_narrative ADD    
    CONSTRAINT PK_tl_culture_narrative PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_tl_culture_narrative_culture_element_number 
    ON tl_culture_narrative (culture_element_number);

    CREATE INDEX idx_tl_culture_narrative_culture_element_quest_id 
    ON tl_culture_narrative (culture_element_quest_id);

    CREATE INDEX idx_tl_culture_narrative_culture_element_rating_id 
    ON tl_culture_narrative (culture_element_rating_id);
